Create Repository Discussion Comment
POST/api/v5/repos/:owner/:repo/discuss/:number/comment
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
number stringrequired
Discussion Number
Query Parameters
access_token stringrequired
User authorization code
- application/json
Body
md_contentstringrequired
Comment content (markdown)
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
Schema
idstringrequired
created_atstringrequired
updated_atstringrequired
author objectrequired
avatar_urlstringrequired
idstringrequired
object_idstringrequired
loginstringrequired
namestringrequired
discuss_idstringrequired
contentstringrequired
md_contentstringrequired
comment content
parent_idstringrequired
typeintegerrequired
Comment Type, 1: Comment, 2: Reply
is_hideintegerrequired
reply_totalintegerrequired
Please translate the following content into English in a professional manner, keeping the format unchanged. If the content is empty, do not translate it. Do not output any other content or prompts besides the translation! The total number of replies
like_totalintegerrequired
is_likebooleanrequired
is_deletedintegerrequired
is_remarkintegerrequired
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"author": {
"avatar_url": "string",
"id": "string",
"object_id": "string",
"login": "string",
"name": "string"
},
"discuss_id": "string",
"content": "string",
"md_content": "string",
"parent_id": "string",
"type": 0,
"is_hide": 0,
"reply_total": 0,
"like_total": 0,
"is_like": true,
"is_deleted": 0,
"is_remark": 0
}